Loading...
Searching...
No Matches
Ogre::LodData::Edge Struct Reference

`#include <OgreLodData.h>`

## Public Member Functions

| Edge (const Edge &b)
| Edge (Vertex *destination)
bool | operator< (const Edge &other) const
Edge & | operator= (const Edge &b)
bool | operator== (const Edge &other) const

## Public Attributes

Real | collapseCost
Vertex * | dst
int | refCount

## Constructor & Destructor Documentation

## Edge() [1/2]

Ogre::LodData::Edge::Edge | ( | Vertex * | destination | ) |

explicit

Referenced by Edge(), operator<(), operator=(), and operator==().

## Edge() [2/2]

Ogre::LodData::Edge::Edge | ( | const Edge & | b | ) |

References Edge().

## Member Function Documentation

## operator==()

bool Ogre::LodData::Edge::operator== | ( | const Edge & | other | ) | const

References Edge().

## operator=()

Edge & Ogre::LodData::Edge::operator= | ( | const Edge & | b | ) |

References Edge().

## operator<()

bool Ogre::LodData::Edge::operator< | ( | const Edge & | other | ) | const

References Edge().

## Member Data Documentation

## dst

Vertex* Ogre::LodData::Edge::dst

## collapseCost

Real Ogre::LodData::Edge::collapseCost

## refCount

int Ogre::LodData::Edge::refCount

The documentation for this struct was generated from the following file:

- OgreLodData.h